summaryrefslogtreecommitdiffstats
path: root/testing/dnscrypt-proxy/dnscrypt-proxy.initd
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2013-04-25 09:51:52 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2013-04-25 09:52:45 +0000
commitea32cee8ba718275c154e77e62b4f03ba6f43901 (patch)
tree7eda2a48a821bb29f34a84a43b511072846ed927 /testing/dnscrypt-proxy/dnscrypt-proxy.initd
parenta3d397676f242ac419490fcef5817008c483ddad (diff)
downloadaports-ea32cee8ba718275c154e77e62b4f03ba6f43901.tar.bz2
aports-ea32cee8ba718275c154e77e62b4f03ba6f43901.tar.xz
testing/dnscrypt-proxy: Fixes #1275
Diffstat (limited to 'testing/dnscrypt-proxy/dnscrypt-proxy.initd')
-rw-r--r--testing/dnscrypt-proxy/dnscrypt-proxy.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/testing/dnscrypt-proxy/dnscrypt-proxy.initd b/testing/dnscrypt-proxy/dnscrypt-proxy.initd
new file mode 100644
index 000000000..ff63b6f41
--- /dev/null
+++ b/testing/dnscrypt-proxy/dnscrypt-proxy.initd
@@ -0,0 +1,19 @@
+#!/sbin/runscript
+
+depend() {
+ use net
+ before dns
+ after logger
+}
+
+start() {
+ ebegin "Starting dnscrypt-proxy"
+ start-stop-daemon --start --quiet --pidfile=${PID} --exec /usr/sbin/dnscrypt-proxy -- -p ${PID} -l ${DNSCRYPT_LOGFILE} -d -u ${DNSCRYPT_GROUP} -a ${DNSCRYPT_LOCALIP}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping dnscrypt-proxy"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/dnscrypt-proxy
+ eend $?
+}